#!/usr/bin/python
from distutils.core import setup, Extension
import sys

_sleepcatch = Extension('_sleepcatch',
                    extra_link_args = ["-framework","CoreFoundation", '-framework', "IOKit"],
                    sources = ['sleepcatch.c'])

if sys.platform.startswith("darwin"):
    modules = [_sleepcatch]
else:
    modules = []

setup(name="sleepcatch",
      version="0.1.3",
      description="cactcher for sleep and shutdown events",
      author="Graeme Sutherland",
      author_email="grasuth@nodestone.com",
      url="http://nodestone.com",
      py_modules=[],
      ext_modules = modules )

