#!/usr/bin/env python
# encoding: utf-8
"""
uninstall.py

Remover for launchd and similar startup items... make sure the pyzwave server
starts when the system starts

Created by Graeme Sutherland on 2008-07-03.
Copyright (c) 2008 TrickleStar Limited. All rights reserved.
"""

import sys
import os
import pwd

def main():
    # serious constants
    job_label = 'com.tricklestar.pyzwave'
    
    # firstly, find the basic info we need
    user_info = pwd.getpwuid(os.getuid())
    username =  user_info.pw_name
    home_dir = user_info.pw_dir
    print 'home directory: ' + home_dir
    # then some derived paths
    
    launchd_dir = home_dir + '/Library/LaunchAgents/'
    
    launchd_file = os.path.join(launchd_dir, job_label + '.plist')
    

    print 'launchd file is: ' + launchd_file

    r = os.system('launchctl unload %s' % launchd_file)
    print('launchctl unload returned %d' % r)

    r1 = os.system('rm %s' % launchd_file)
    print('rm of launchd file returned %d' % r1)

    sys.exit(r1)
    
if __name__ == '__main__':
    main()

