#!/usr/bin/env python
# encoding: utf-8
"""
clientcommand.py

Created by Graeme Sutherland on 2008-07-31.
Copyright (c) 2008 TrickleStar Limited. All rights reserved.
"""

import sys
import os


class ClientCommand:
    def __init__(self):
        self.command_list=[]
    
    def add_command(self, command):
        self.command_list.append(command)
    
    def get_command(self):
        if len(self.command_list) > 0:
            return self.command_list[0]
        else:
            return {}

    def done_command(self):
        try:
            self.command_list.pop(0)
        except:
            pass