#!/usr/bin/env python
# encoding: utf-8
"""
notify.py

Manage growl notifications

Created by Graeme Sutherland on 2008-07-23.
Copyright (c) 2008 TrickleStar Limited. All rights reserved.
"""

import sys
import os

from Growl import GrowlNotifier

class Notifier(object):
    def __init__(self):
        self.gn = GrowlNotifier('TrickleStar', ['note'])
        self.gn.register()
    
    def send_notify(self, title, description):
        self.gn.notify('note', title, description)

def main():
	n = Notifier()
	n.send_notify("Hello, World", "Pleased to meet you.")


if __name__ == '__main__':
	main()

