/* 
 * Copyright 2008 TrickleStar Ltd
 * All Rights Reserved.
 * http://tricklestar.com
 *
 */

//
// Check for auto-updates, and manage auto-update installation
//
//
//

var downloadURL = 'http://www.tricklestar.com/files/uploads/TrickleStarWidget.zip';
var versionURL = 'http://www.tricklestar.com/files/uploads/version.txt';

var creq;

function checkversion() {  //called when the html document is loaded 
    // display on front side
    checkForUpdate(); 
} 

function showVersion() {
    // display on front side
    var build = document.getElementById('build');
    build.innerHTML= "V." + currentVersion;
    var ab = document.getElementById('about-version');
    ab.innerHTML= "Version " + currentVersion;
    
}


function checkForUpdate() { 
    creq = new XMLHttpRequest(); 
    creq.onreadystatechange = compareVersion; 
    creq.open("GET", versionURL, true); 
    creq.setRequestHeader("Cache-Control", "no-cache"); 
    creq.send(null); 
} 

function compareVersion() { 
  if (creq.readyState == 4) { 
    if (creq.status == 200) { 
        var serverVersion = parseInt(creq.responseText); 
        var cv = currentVersion;
        alert("current version is " + cv + " server version is " + serverVersion);
        if (!isNaN(serverVersion) && (cv < serverVersion)) { 
            d = new Dialog();
            d.alert('Update', 'A new version of this Widget is available.  Please <a href="#" onclick="handleGetNewVerion(event);">download it from the TrickleStar website</a>.<br/><br/>Current version: ' + cv + '<br/>Latest version: ' + serverVersion);
        } else { 
            // no new version available
            d = new Dialog();
            d.alert('Update', 'No new version is available.');            
      } 
    }
    else if (creq.status == 404) {
            d = new Dialog();
            d.alert('Update', 'No new version is available.');                
     } 
  } 
} 

function autoCheckForUpdate(event) { 
    var lastTime = widget.preferenceForKey('last_update');
    if (lastTime == undefined) {
        lastTime=0;
    }
    var delay = 1000 * 60 * 60 * 24;
    var now = new Date().getTime();
    if (now - lastTime > delay) {
        setPreferenceForKey(now, 'last_update');
        creq = new XMLHttpRequest(); 
        creq.onreadystatechange = timedCompareVersion; 
        creq.open("GET", versionURL , true); 
        creq.setRequestHeader("Cache-Control", "no-cache"); 
        creq.send(null); 
    }
} 
function timedCompareVersion() { 
  if (creq.readyState == 4) { 
    if (creq.status == 200) { 
        var serverVersion = parseInt(creq.responseText); 
        var cv = currentVersion;
        if (!isNaN(serverVersion) && (cv < serverVersion)) { 
            d = new Dialog();
            d.alert('Update', 'A new version of this Widget is available.  Please <a href="#" onclick="handleGetNewVerion(event);">download it from the TrickleStar website</a>.<br/><br/>Current version: ' + cv + '<br/>Latest version: ' + serverVersion);
        } 
    } 
  } 
} 


function getKeyValue(plist, key) { 
   var xml_http = new XMLHttpRequest(); 
   xml_http.open("GET", plist, false); 
   xml_http.send(null); 
    
   var xml = xml_http.responseXML; 
   var key_value = null; 
   var nodes = xml.getElementsByTagName("dict")[0].childNodes; 

   for (var i=0; i < nodes.length; i++) { 
      if (nodes[i].nodeType == 1 && nodes[i].tagName.toLowerCase() == "key" && nodes[i].firstChild.data == key) { 
         if (nodes[i+2].tagName.toLowerCase() != "array") { 
            key_value = nodes[i+2].firstChild.data; 
         } else { 
            key_value = new Array(); 
            var ar_nodes = nodes[i+2].childNodes; 
            for (var j=0; j < ar_nodes.length; j++) { 
               if (ar_nodes[j].nodeType == 1) key_value.push(ar_nodes[j].firstChild.data); 
            } 
         } 
          
         break; 
      } 
   } 
    
   return key_value; 
} 

function handleGetNewVerion(event) {
    widget.openURL(downloadURL);
}